## org.omg.CORBA
Class TRANSACTION_ROLLEDBACKHelper

    java.lang.Object
      |
      +--org.omg.CORBA.TRANSACTION_ROLLEDBACKHelper

public class TRANSACTION_ROLLEDBACKHelper
extends java.lang.Object

Helper class for : TRANSACTION_ROLLEDBACK

Author:
  OpenORB Compiler

Constructor Summary
`TRANSACTION_ROLLEDBACKHelper()`

Method Summary
`static TRANSACTION_ROLLEDBACK` `extract(Any a)` Extract TRANSACTION_ROLLEDBACK from an any
`static java.lang.String` `id()` Return the TRANSACTION_ROLLEDBACK IDL ID
`static void` `insert(Any a, TRANSACTION_ROLLEDBACK t)` Insert TRANSACTION_ROLLEDBACK into an any
`static TRANSACTION_ROLLEDBACK` `read(InputStream istream)` Read TRANSACTION_ROLLEDBACK from a marshalled stream
`static TypeCode` `type()` Return the TRANSACTION_ROLLEDBACK TypeCode
`static void` `write(OutputStream ostream, TRANSACTION_ROLLEDBACK value)` Write TRANSACTION_ROLLEDBACK into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TRANSACTION_ROLLEDBACKHelper

    public TRANSACTION_ROLLEDBACKHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TRANSACTION_ROLLEDBACK t)

  Insert TRANSACTION_ROLLEDBACK into an any
  Parameters:
    `a` - an any
    `t` - TRANSACTION_ROLLEDBACK value

### extract

    public static TRANSACTION_ROLLEDBACK extract(Any a)

  Extract TRANSACTION_ROLLEDBACK from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TRANSACTION_ROLLEDBACK value

### type

    public static TypeCode type()

  Return the TRANSACTION_ROLLEDBACK TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TRANSACTION_ROLLEDBACK IDL ID
  Returns:
    an ID

### read

    public static TRANSACTION_ROLLEDBACK read(InputStream istream)

  Read TRANSACTION_ROLLEDBACK from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TRANSACTION_ROLLEDBACK value

### write

    public static void write(OutputStream ostream,
                             TRANSACTION_ROLLEDBACK value)

  Write TRANSACTION_ROLLEDBACK into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TRANSACTION_ROLLEDBACK value